{
  "configurations": [
    {
      "type": "java",
      "name": "School News Admin",
      "request": "launch",
      "cwd": "${workspaceFolder}/schoolNewsServ/admin",
      "mainClass": "org.xyzh.App",
      "projectName": "admin",
      "args": "",
      "vmArgs": "-Dspring.profiles.active=dev -Dfile.encoding=UTF-8 -Dconsole.encoding=UTF-8 -Dstdout.encoding=UTF-8 -Dstderr.encoding=UTF-8 -Duser.timezone=Asia/Shanghai -Dsun.stdout.encoding=UTF-8 -Dsun.stderr.encoding=UTF-8",
      "console": "integratedTerminal",
      "envFile": "${workspaceFolder}/.env",
      "env": {
        "JAVA_TOOL_OPTIONS": "-Dfile.encoding=UTF-8"
      }
    },
    {
      "type": "java",
      "name": "Spring Boot-Main<admin>",
      "request": "launch",
      "cwd": "${workspaceFolder}",
      "mainClass": "org.xyzh.Main",
      "projectName": "admin",
      "args": "",
      "envFile": "${workspaceFolder}/.env",
      "vmArgs": "-Dcom.sun.management.jmxremote -Dcom.sun.management.jmxremote.port=8744 -Dcom.sun.management.jmxremote.authenticate=false -Dcom.sun.management.jmxremote.ssl=false -Dspring.jmx.enabled=true -Djava.rmi.server.hostname=localhost -Dspring.boot.project.name=admin -Dfile.encoding=UTF-8 -Dconsole.encoding=UTF-8 -Dstdout.encoding=UTF-8 -Dstderr.encoding=UTF-8"
    },
    {
      "type": "java",
      "name": "Spring Boot-Main<api-all>",
      "request": "launch",
      "cwd": "${workspaceFolder}",
      "mainClass": "org.xyzh.Main",
      "projectName": "api-all",
      "args": "",
      "envFile": "${workspaceFolder}/.env",
      "vmArgs": "-Dfile.encoding=UTF-8 -Dconsole.encoding=UTF-8 -Dstdout.encoding=UTF-8 -Dstderr.encoding=UTF-8"
    }
  ]
}